/**
 * @author Twenty Codes, LLC
 * @author ricky barrette
 * @date Dec 24, 2010
 */

package com.TwentyCodes.java.OrderProcessor;

/**
 * An exception that represents that there is an order with that number that already exists
 * @author ricky barrette
 */
public class OrderExistsException extends Exception {

	/**
	 * @author ricky barrette
	 */
	private static final long serialVersionUID = 4605163237489852355L;

	/**
	 * Creates a new OrderExistsException
	 * @author ricky barrette
	 */
	public OrderExistsException() {
		super();
	}

	/**
	 * Creates a new OrderExistsException
	 * @param arg0
	 * @author ricky barrette
	 */
	public OrderExistsException(String arg0) {
		super(arg0);
	}

	/**
	 * Creates a new OrderExistsException
	 * @param arg0
	 * @author ricky barrette
	 */
	public OrderExistsException(Throwable arg0) {
		super(arg0);
	}

	/**
	 * Creates a new AccountExistsException
	 * @param arg0
	 * @param arg1
	 * @author ricky barrette
	 */
	public OrderExistsException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

}
